org.wildfly.swarm.config.undertow.server.host

## Class FilterRef<T extends FilterRef<T>>

- java.lang.Object
- - org.wildfly.swarm.config.undertow.server.host.FilterRef<T>

-     public class FilterRef<T extends FilterRef<T>>
      extends Object

  Reference to filter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterRef(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `predicate()` Predicates provide a simple way of making a true/false decision based on an exchange.
    `T` | `predicate(String value)` Predicates provide a simple way of making a true/false decision based on an exchange.
    `Integer` | `priority()` Defines filter order, it should be set to 1 or more, higher number instructs server to be included earlier in handler chain than others under same context.
    `T` | `priority(Integer value)` Defines filter order, it should be set to 1 or more, higher number instructs server to be included earlier in handler chain than others under same context.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterRef

          public FilterRef(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### predicate

          public String predicate()

      Predicates provide a simple way of making a true/false decision based on an exchange. Many handlers have a requirement that they be applied conditionally, and predicates provide a general way to specify a condition.

    - #### predicate

          public T predicate(String value)

      Predicates provide a simple way of making a true/false decision based on an exchange. Many handlers have a requirement that they be applied conditionally, and predicates provide a general way to specify a condition.

    - #### priority

          public Integer priority()

      Defines filter order, it should be set to 1 or more, higher number instructs server to be included earlier in handler chain than others under same context.

    - #### priority

          public T priority(Integer value)

      Defines filter order, it should be set to 1 or more, higher number instructs server to be included earlier in handler chain than others under same context.

Copyright © 2017 JBoss by Red Hat. All rights reserved.